Upstream information

CVE-2020-14339 at MITRE

Description

A flaw was found in libvirt, where it leaked a file descriptor for `/dev/mapper/control` into the QEMU process. This file descriptor allows for privileged operations to happen against the device-mapper on the host. This flaw allows a malicious guest user or process to perform operations outside of their standard permissions, potentially causing serious damage to the host operating system. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.2
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low High
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1174458 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libvirt-libs >= 5.1.0-8.19.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-2237
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libvirt-libs >= 6.0.0-13.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-2269
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libvirt-libs >= 7.1.0-4.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libvirt-devel-32bit >= 5.1.0-8.19.1
  • wireshark-plugin-libvirt >= 5.1.0-8.19.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-2237
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • libvirt-devel-32bit >= 6.0.0-13.3.1
  • wireshark-plugin-libvirt >= 6.0.0-13.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-2269
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • libvirt >= 5.1.0-8.19.1
  • libvirt-admin >= 5.1.0-8.19.1
  • libvirt-bash-completion >= 5.1.0-8.19.1
  • libvirt-client >= 5.1.0-8.19.1
  • libvirt-daemon >= 5.1.0-8.19.1
  • libvirt-daemon-config-network >= 5.1.0-8.19.1
  • libvirt-daemon-config-nwfilter >= 5.1.0-8.19.1
  • libvirt-daemon-driver-interface >= 5.1.0-8.19.1
  • libvirt-daemon-driver-libxl >= 5.1.0-8.19.1
  • libvirt-daemon-driver-lxc >= 5.1.0-8.19.1
  • libvirt-daemon-driver-network >= 5.1.0-8.19.1
  • libvirt-daemon-driver-nodedev >= 5.1.0-8.19.1
  • libvirt-daemon-driver-nwfilter >= 5.1.0-8.19.1
  • libvirt-daemon-driver-qemu >= 5.1.0-8.19.1
  • libvirt-daemon-driver-secret >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-core >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-disk >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-iscsi >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-logical >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-mpath >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-rbd >= 5.1.0-8.19.1
  • libvirt-daemon-driver-storage-scsi >= 5.1.0-8.19.1
  • libvirt-daemon-hooks >= 5.1.0-8.19.1
  • libvirt-daemon-lxc >= 5.1.0-8.19.1
  • libvirt-daemon-qemu >= 5.1.0-8.19.1
  • libvirt-daemon-xen >= 5.1.0-8.19.1
  • libvirt-devel >= 5.1.0-8.19.1
  • libvirt-doc >= 5.1.0-8.19.1
  • libvirt-lock-sanlock >= 5.1.0-8.19.1
  • libvirt-nss >= 5.1.0-8.19.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-2237
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • libvirt >= 6.0.0-13.3.1
  • libvirt-admin >= 6.0.0-13.3.1
  • libvirt-bash-completion >= 6.0.0-13.3.1
  • libvirt-client >= 6.0.0-13.3.1
  • libvirt-daemon >= 6.0.0-13.3.1
  • libvirt-daemon-config-network >= 6.0.0-13.3.1
  • libvirt-daemon-config-nwfilter >= 6.0.0-13.3.1
  • libvirt-daemon-driver-interface >= 6.0.0-13.3.1
  • libvirt-daemon-driver-libxl >= 6.0.0-13.3.1
  • libvirt-daemon-driver-lxc >= 6.0.0-13.3.1
  • libvirt-daemon-driver-network >= 6.0.0-13.3.1
  • libvirt-daemon-driver-nodedev >= 6.0.0-13.3.1
  • libvirt-daemon-driver-nwfilter >= 6.0.0-13.3.1
  • libvirt-daemon-driver-qemu >= 6.0.0-13.3.1
  • libvirt-daemon-driver-secret >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-core >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-disk >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-iscsi >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-logical >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-mpath >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-rbd >= 6.0.0-13.3.1
  • libvirt-daemon-driver-storage-scsi >= 6.0.0-13.3.1
  • libvirt-daemon-hooks >= 6.0.0-13.3.1
  • libvirt-daemon-lxc >= 6.0.0-13.3.1
  • libvirt-daemon-qemu >= 6.0.0-13.3.1
  • libvirt-daemon-xen >= 6.0.0-13.3.1
  • libvirt-devel >= 6.0.0-13.3.1
  • libvirt-doc >= 6.0.0-13.3.1
  • libvirt-lock-sanlock >= 6.0.0-13.3.1
  • libvirt-nss >= 6.0.0-13.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2020-2269
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • libvirt >= 7.1.0-4.1
  • libvirt-admin >= 7.1.0-4.1
  • libvirt-bash-completion >= 7.1.0-4.1
  • libvirt-client >= 7.1.0-4.1
  • libvirt-daemon >= 7.1.0-4.1
  • libvirt-daemon-config-network >= 7.1.0-4.1
  • libvirt-daemon-config-nwfilter >= 7.1.0-4.1
  • libvirt-daemon-driver-interface >= 7.1.0-4.1
  • libvirt-daemon-driver-libxl >= 7.1.0-4.1
  • libvirt-daemon-driver-lxc >= 7.1.0-4.1
  • libvirt-daemon-driver-network >= 7.1.0-4.1
  • libvirt-daemon-driver-nodedev >= 7.1.0-4.1
  • libvirt-daemon-driver-nwfilter >= 7.1.0-4.1
  • libvirt-daemon-driver-qemu >= 7.1.0-4.1
  • libvirt-daemon-driver-secret >= 7.1.0-4.1
  • libvirt-daemon-driver-storage >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-core >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-disk >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-iscsi >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-iscsi-direct >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-logical >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-mpath >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-rbd >= 7.1.0-4.1
  • libvirt-daemon-driver-storage-scsi >= 7.1.0-4.1
  • libvirt-daemon-hooks >= 7.1.0-4.1
  • libvirt-daemon-lxc >= 7.1.0-4.1
  • libvirt-daemon-qemu >= 7.1.0-4.1
  • libvirt-daemon-xen >= 7.1.0-4.1
  • libvirt-devel >= 7.1.0-4.1
  • libvirt-doc >= 7.1.0-4.1
  • libvirt-lock-sanlock >= 7.1.0-4.1
  • libvirt-nss >= 7.1.0-4.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libvirt >= 5.1.0-13.9.1
  • libvirt-admin >= 5.1.0-13.9.1
  • libvirt-client >= 5.1.0-13.9.1
  • libvirt-daemon >= 5.1.0-13.9.1
  • libvirt-daemon-config-network >= 5.1.0-13.9.1
  • libvirt-daemon-config-nwfilter >= 5.1.0-13.9.1
  • libvirt-daemon-driver-interface >= 5.1.0-13.9.1
  • libvirt-daemon-driver-libxl >= 5.1.0-13.9.1
  • libvirt-daemon-driver-lxc >= 5.1.0-13.9.1
  • libvirt-daemon-driver-network >= 5.1.0-13.9.1
  • libvirt-daemon-driver-nodedev >= 5.1.0-13.9.1
  • libvirt-daemon-driver-nwfilter >= 5.1.0-13.9.1
  • libvirt-daemon-driver-qemu >= 5.1.0-13.9.1
  • libvirt-daemon-driver-secret >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-core >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-disk >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-iscsi >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-logical >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-mpath >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-rbd >= 5.1.0-13.9.1
  • libvirt-daemon-driver-storage-scsi >= 5.1.0-13.9.1
  • libvirt-daemon-hooks >= 5.1.0-13.9.1
  • libvirt-daemon-lxc >= 5.1.0-13.9.1
  • libvirt-daemon-qemu >= 5.1.0-13.9.1
  • libvirt-daemon-xen >= 5.1.0-13.9.1
  • libvirt-doc >= 5.1.0-13.9.1
  • libvirt-libs >= 5.1.0-13.9.1
  • libvirt-lock-sanlock >= 5.1.0-13.9.1
  • libvirt-nss >= 5.1.0-13.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-2233
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libvirt-devel >= 5.1.0-13.9.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2233
openSUSE Leap 15.2
  • libvirt >= 6.0.0-lp152.9.3.1
  • libvirt-admin >= 6.0.0-lp152.9.3.1
  • libvirt-bash-completion >= 6.0.0-lp152.9.3.1
  • libvirt-client >= 6.0.0-lp152.9.3.1
  • libvirt-daemon >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-config-network >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-config-nwfilter >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-interface >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-libxl >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-lxc >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-network >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-nodedev >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-nwfilter >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-qemu >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-secret >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-core >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-disk >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-gluster >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-iscsi >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-logical >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-mpath >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-rbd >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-driver-storage-scsi >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-hooks >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-lxc >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-qemu >= 6.0.0-lp152.9.3.1
  • libvirt-daemon-xen >= 6.0.0-lp152.9.3.1
  • libvirt-devel >= 6.0.0-lp152.9.3.1
  • libvirt-devel-32bit >= 6.0.0-lp152.9.3.1
  • libvirt-doc >= 6.0.0-lp152.9.3.1
  • libvirt-libs >= 6.0.0-lp152.9.3.1
  • libvirt-lock-sanlock >= 6.0.0-lp152.9.3.1
  • libvirt-nss >= 6.0.0-lp152.9.3.1
  • wireshark-plugin-libvirt >= 6.0.0-lp152.9.3.1
Patchnames:
openSUSE-2020-1455
openSUSE Tumbleweed
  • libvirt >= 7.7.0-2.1
  • libvirt-client >= 7.7.0-2.1
  • libvirt-daemon >= 7.7.0-2.1
  • libvirt-daemon-config-network >= 7.7.0-2.1
  • libvirt-daemon-config-nwfilter >= 7.7.0-2.1
  • libvirt-daemon-driver-interface >= 7.7.0-2.1
  • libvirt-daemon-driver-libxl >= 7.7.0-2.1
  • libvirt-daemon-driver-lxc >= 7.7.0-2.1
  • libvirt-daemon-driver-network >= 7.7.0-2.1
  • libvirt-daemon-driver-nodedev >= 7.7.0-2.1
  • libvirt-daemon-driver-nwfilter >= 7.7.0-2.1
  • libvirt-daemon-driver-qemu >= 7.7.0-2.1
  • libvirt-daemon-driver-secret >= 7.7.0-2.1
  • libvirt-daemon-driver-storage >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-core >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-disk >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-gluster >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-iscsi >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-iscsi-direct >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-logical >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-mpath >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-rbd >= 7.7.0-2.1
  • libvirt-daemon-driver-storage-scsi >= 7.7.0-2.1
  • libvirt-daemon-hooks >= 7.7.0-2.1
  • libvirt-daemon-lxc >= 7.7.0-2.1
  • libvirt-daemon-qemu >= 7.7.0-2.1
  • libvirt-daemon-xen >= 7.7.0-2.1
  • libvirt-devel >= 7.7.0-2.1
  • libvirt-devel-32bit >= 7.7.0-2.1
  • libvirt-doc >= 7.7.0-2.1
  • libvirt-libs >= 7.7.0-2.1
  • libvirt-lock-sanlock >= 7.7.0-2.1
  • libvirt-nss >= 7.7.0-2.1
  • wireshark-plugin-libvirt >= 7.7.0-2.1
Patchnames:
openSUSE Tumbleweed GA libvirt-7.7.0-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 libvirt In progress
SUSE Enterprise Storage 6 libvirt In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 libvirt Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libvirt Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libvirt Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libvirt In progress
SUSE Linux Enterprise Module for Basesystem 15 SP1 libvirt Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 libvirt Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 libvirt Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 libvirt Released
SUSE Linux Enterprise Server 11 SP4 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP4 libvirt Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS libvirt Not affected
SUSE Linux Enterprise Server 12 SP5 libvirt Released
SUSE Linux Enterprise Server 15 ESPOS libvirt Not affected
SUSE Linux Enterprise Server 15 LTSS libvirt Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS libvirt In progress
SUSE Linux Enterprise Server BCL 12 SP2 libvirt Not affected
SUSE Linux Enterprise Server BCL 12 SP3 libvirt Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 libvirt In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libvirt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libvirt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libvirt Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libvirt In progress
SUSE Linux Enterprise Software Development Kit 12 SP5 libvirt Released
SUSE Manager Proxy 4.0 libvirt In progress
SUSE Manager Retail Branch Server 4.0 libvirt In progress
SUSE Manager Server 4.0 libvirt In progress